> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start connector workflow

> Success

### Request body

`ConnectorWorkflowInput`

<ParamField body="request_id" type="string (uuid)" required />

<ParamField body="brand_id" type="string (uuid)" required />

<ParamField body="steps" type="ConnectorStep[]" required />

<ParamField body="context" type="object" />

### Response

`StartWorkflowResponse`

<ResponseField name="workflow_id" type="string" required />

<ResponseField name="run_id" type="string" />

### Status codes

| Code  | Meaning          |
| ----- | ---------------- |
| `200` | Success          |
| `400` | Validation error |
| `401` | Unauthorized     |
| `404` | Not found        |
| `429` | Rate limited     |
| `500` | Internal error   |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/workflows/connector/start' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "steps": [
      {
        "step_name": "string",
        "connector_type": "string",
        "direction": "string",
        "action": "string",
        "params": {}
      }
    ],
    "context": {}
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "workflow_id": "string",
    "run_id": "string"
  }
  ```
</ResponseExample>
